from flask import Flask, render_template
from flask_wtf import FlaskForm
from wtforms import StringField
from wtforms.validators import DataRequired

from flask_wtf.csrf import CsrfProtect

csrf = CsrfProtect()
WTF_CSRF_SECRET_KEY = 'a random string'

app = Flask(__name__)
app.secret_key = 'The key to life'
csrf.init_app(app)
from influxdb import InfluxDBClient

def db_main(host='localhost', port=8086):
    user = 'root'
    password = 'root'
    dbname = 'gas'

class influx_form(FlaskForm):
    name = StringField('name', validators=[DataRequired()])    


@app.route('/success')
def success():
    return "Form success!"

@app.route('/', methods=('GET', 'POST'))
def main_page():
    form = influx_form()
    if form.validate_on_submit():
        return redirect('/success')    
    return render_template('index.html', form=form)
app.run(debug=True)
